<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class BindingsController extends AppController {
	public $scaffold;
	public $uses = array('Binding', 'Album');
	public $helpers = array('Menu');
	public $paginate = array('limit' => 20, 'page' => 1, 'order'=>array('Binding.name' => 'ASC'), 'recursive' => -1);
	
	public function index() {
		$bindings =  $this->paginate('Binding');
		$this->set('bindings', $bindings);
	}
	
	public function view($id = null) {
		if ($id === null)
			$this->redirect('/bindings');

		$this->Binding->id = $id;
		$this->Binding->recursive = -1;
		$binding = current($this->Binding->read());
		$binding['album_count'] = $this->Album->getAlbumCount('Binding', $id);
		
		$this->set('binding', $binding);
	}
	
	public function add() {
		if (!empty($this->data)) {
			if ($this->Binding->save($this->data)) {
				$this->smartFlash(__('The binding has been added', true),
					'/bindings/view/'.$this->Binding->id);
			}
		}
	}
	
	public function edit($id = null) {
		if (empty($this->data)) {
			$this->Binding->id = $id;
			$this->Binding->recursive = -1;
			$this->data = $this->Binding->read();
		}
		
		else {
			if ($this->Binding->save($this->data)) {
				$this->smartFlash(__('The type has been updated', true),
					'/bindings/view/'.$this->data['Binding']['id']);
			}
		}
	}
}

?>
