<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class SourcesController extends AppController {
	public $scaffold;
	public $uses = array('Source', 'Derivative');
	public $paginate = array('limit' => 20, 'page' => 1, 'order'=>array('Source.name' => 'ASC'), 'recursive' => -1);
	public $helpers = array('Menu', 'Shadowbox');
	
	public function index() {
		$sources =  $this->paginate('Source');
		$this->set('sources', $sources);
	}
	
	function view($id = null) {
		$this->Source->id = $id;
		$this->Source->recursive = 0;
		$source = current($this->Source->read());
		$source['derivative_count'] = $this->Derivative->getDerivativesCount('Source', $id);
		$this->set('source', $source);
    }
	
	public function edit($id = null) {
		if (empty($this->data)) {
			$this->Source->id = $id;
			$this->Source->unbindAll();
			$this->data = $this->Source->read();
		}
		
		else {
			if ($this->Source->save($this->data)) {
				$this->smartFlash(__('The source has been updated', true),
					'/sources/view/'.$this->data['Source']['id']);
			}
		}
	}

	public function complete() {
		$this->layout = 'raw';
		
		$current = isset($this->params['url']['q'])?$this->params['url']['q']:'';
		$this->set('sources', $this->Source->findLike($current));
	}
}

?>
