<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Edit this album', true),
			'url' => '/albums/edit/'.$album['Album']['id']
			),
		array('title' => __('Add a derivative to this album', true),
			'url' => '/derivatives/add/toAlbum:'.$album['Album']['id']
			),
		array('title' => __('Delete this album', true),
			'url' => '/albums/delete/'.$album['Album']['id'],
			'confirm' => __('Are you sure you want to delete this album?', true)
			),
		array('title' => __('Edit this series', true),
			'url' => '/series/edit/'.$album['Album']['series_id']
			)
	)
);

// Fix dates
$album['Album']['purchase_date'] = __date($album['Album']['purchase_date']);
$album['Album']['first_edition'] = __date($album['Album']['first_edition']);
$album['Album']['this_edition'] = __date($album['Album']['this_edition']);
?>
<table class="details">
	<tr><th><?php __('Series') ?></th><td><?=$html->link($album['Series']['name'],'/series/view/'.$album['Album']['series_id'])?></td></tr>
	
	<?php if (!empty($album['Album']['cycle'])): ?>
	<tr><th><?php __('Cycle') ?></th><td><?=$album['Album']['cycle']?></td></tr>
	<?php endif; ?>
	
	<tr><th><?php __('Title') ?></th><td><?=empty($album['Album']['number'])?'':$album['Album']['number'].'&nbsp;-&nbsp;'?><?=$album['Album']['title']?></td></tr>
	
	<tr><th><?php __('Publisher') ?></th><td><?=$html->link($album['Publisher']['name'],'/publishers/view/'.$album['Album']['publisher_id'])?></td></tr>
	
	<?php if (!empty($album['Album']['collection_id'])): ?>
	<tr><th><?php __('Collection') ?></th><td><?=$html->link($album['Collection']['name'],'/collections/view/'.$album['Album']['collection_id'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Artist'])): ?>
	<tr><th><?php __('Artists') ?></th><td><?=$list->CSVList($album['Artist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Writer'])): ?>
	<tr><th><?php __('Writers') ?></th><td><?=$list->CSVList($album['Writer'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Colorist'])): ?>
	<tr><th><?php __('Colorists') ?></th><td><?=$list->CSVList($album['Colorist'], array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if(!empty($album['Album']['first_edition']) && $album['Album']['first_edition'] == $album['Album']['this_edition']) { ?>
	<tr><th><? __('Edition') ?></th><td><?=$album['Album']['first_edition']?> (<?php __('First edition') ?>)</td></tr>
	<?php } else {
				if (!empty($album['Album']['first_edition'])) {
	?>
	<tr><th><? __('First edition') ?></th><td><?=$album['Album']['first_edition']?></td></tr>
	<?php		}
				if (!empty($album['Album']['this_edition'])) {
	?>
	<tr><th><? __('Edition') ?></th><td><?=$album['Album']['this_edition']?></td></tr>
	<?php }} ?>
	
	<?php
	if (!empty($album['Album']['purchase_date'])):
	?>
	<tr><th><?php __('Purchase date') ?></th><td><?=$album['Album']['purchase_date']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['binding_id'])): ?>
	<tr><th><?php __('Book binding') ?></th><td><?=$album['Binding']['name']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['width']) && !empty($album['Album']['height'])): ?>
	<tr><th><?php __('Size') ?></th><td><?=$album['Album']['height']?> x <?=$album['Album']['width']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['pages'])): ?>
	<tr><th><?php __('Pages') ?></th><td><?=$album['Album']['pages']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['price'])): ?>
	<tr><th><?php __('Price') ?></th><td><?=$album['Album']['price']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Tag'])): ?>
	<tr><th><?php __('Tags') ?></th><td><?=$list->CSVList($album['Tag'], array('name'), '/tags/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Borrower'])):?>
	<tr><th><?php __('Lended to') ?></th><td><?=__s('%s since %s',
		$album['Borrower'][0]['meta_name'],
		__date($album['Borrower'][0]['AlbumsBorrower']['borrow_date']))?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['isbn'])): ?>
	<tr><th><?php __('ISBN') ?></th><td><?=$album['Album']['isbn']?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['summary'])): ?>
	<tr><th><?php __('Summary') ?></th><td><?=nl2br($album['Album']['summary'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['comment'])): ?>
	<tr><th><?php __('Comment') ?></th><td><?=nl2br($album['Album']['comment'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($album['Album']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?=$html->link(__s('View %d derivatives for this album', $album['Album']['derivative_count']), '/derivatives/index/fromAlbum:'.$album['Album']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
</table>

<div id="inline-derivatives" style="display: none"><div class="spinner"><?=__('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?=Router::url(array('controller' => 'derivatives', 'action' => 'index', 'fromAlbum' => $album['Album']['id'], 'ajax' => 'true'))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
		<?php echo $shadowbox->init(false);?>
	});
}
</script>

<?php
// Fake the Cover as a regular Image, and make it the first one
if (! empty($album['Cover']['id']))
	$album['Image'] = array_merge(array($album['Cover']), $album['Image']);

if (! empty($album['Image'])) { ?>
<h2><?php __('Gallery') ?></h2>
<div class="gallery">
<?=$shadowbox->init()?>

<?=$shadowbox->gallery($album['Image'], 'albumImages')?>
</div>
<?php } ?>
