<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class MenuHelper extends Helper {
	public $helpers = array('jQuery', 'Html');
	
	public function makeQuickMenu($menuTitle, $menuID, $menuItems, $echo = true) {
		$this->jQuery->checkInclude();

		$menuString = '<div id="'.$menuID.'">'
			."\n\t<h1>$menuTitle</h1>"
			."\n\t<ul>";

		foreach ($menuItems as $item)
			$menuString .= "\n\t\t<li>"
				.$this->Html->link($item['title'], $item['url'],
					isset($item['attributes'])?$item['attributes']:array(),
					isset($item['confirm'])?$item['confirm']:false,
					isset($item['escape'])?$item['escape']:true)
				.'</li>';

		$menuString .= "\n\t</ul>\n</div>";

		$menuString .= <<<EOS

<script type="text/javascript">
var \$jq = jQuery.noConflict();
\$jq('div#$menuID').hover(
	function() {
		\$jq('div#$menuID > ul').fadeIn('medium');
		\$jq('div#$menuID h1').css('border-bottom-color', \$jq('div#$menuID h1').css('background-color'));
	},
	function() {
		\$jq('div#$menuID > ul').fadeOut('medium');
		\$jq('div#$menuID h1').css('border-bottom-color', \$jq('div#$menuID h1').css('border-left-color'));
	}
	);
</script>

EOS;
		if ($echo)
			echo $menuString;
		else
			return $menuString;
	}

	/** Outputs or returns a "Related Tasks" menu for forms
	 *
	 * @param array $forModels Select which models will have an entry in the menu
	 */
	public function relatedTasks($forModels, $echo = true) {
		$menu = '<div id="related_tasks"><h1>'.__('Related tasks', true).'</h1><ul>';
		foreach ($forModels as $model) {
			if (is_array($model)) {
				$menu .= "\n\t<li>".$this->Html->link($model['title'], $model['url'],
					isset($model['attributes'])?$model['attributes']:array(),
					isset($model['confirm'])?$model['confirm']:false,
					isset($model['escape'])?$model['escape']:true)
				.'</li>';
			}
			
			else {
				$name = strtolower(Inflector::humanize(Inflector::underscore($model)));
				$add = '';
				switch (substr($name, 0, 1)) {
					case 'a':
					case 'e':
					case 'i':
					case 'o':
					case 'u':
					case 'y':
						$add = "Add an $name";
						break;
					default:
						$add = "Add a $name";
				}
				
				$menu .= "\n\t<li><a href=\"".
					Router::url('/'.strtolower(Inflector::underscore(Inflector::pluralize($model)).'/add')).'">'.__($add, true).'</a></li>';
			}
		}
		$menu .= "\n</ul></div>";
		
		if ($echo)
			echo $menu;
		else
			return $menu;
	}
}
?>