<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$GLOBALS['editText'] = __('Edit', true);
$GLOBALS['deleteText'] = __('Delete', true);

function orphanText($title, $baseUrl, $id, $html) {
	global $editText, $deleteText;
	
	return $html->link($title, "$baseUrl/view/$id")
		.'&nbsp;&nbsp;&nbsp;'.$html->link(
			$html->image('edit-small.png', array('alt' => $editText, 'title' => $editText)),
			"$baseUrl/edit/$id", array('escape' => false))
		.'&nbsp;&nbsp;&nbsp;'.$html->link($html->image('delete-small.png', array('alt' => $deleteText, 'title' => $deleteText)),
			"$baseUrl/delete/$id", array('escape' => false, 'confirm' => __('Are you sure you want to delete this entry?', true)));
}

$atLeastOneOrphan = false;

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Series'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Series without albums') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Series'] as $orphan) { ?>
	<li><?=orphanText($orphan['Series']['name'], '/series', $orphan['Series']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Album'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Albums without series') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Album'] as $orphan) { ?>
	<li><?=orphanText($orphan['Album']['title'], '/albums', $orphan['Album']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * * 

if (! empty($orphanage['Author'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Authors without albums or derivatives') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Author'] as $orphan) { ?>
	<li><?=orphanText($orphan['Author']['meta_name'], '/authors', $orphan['Author']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Publisher'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Publishers without albums') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Publisher'] as $orphan) { ?>
	<li><?=orphanText($orphan['Publisher']['name'], '/publishers', $orphan['Publisher']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Collection'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Collections without publishers or albums') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Collection'] as $orphan) { ?>
	<li><?=orphanText($orphan['Collection']['name'], '/collections', $orphan['Collection']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Collection-noPublisher'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Collections that don\'t belong to any publisher') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Collection-noPublisher'] as $orphan) { ?>
	<li><?=orphanText($orphan['Collection']['name'], '/collections', $orphan['Collection']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Derivative'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Derivatives with no series') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Derivative'] as $orphan) { ?>
	<li><?=orphanText($text->shortenWithFullWords($orphan['Derivative']['description'], 40), '/derivatives', $orphan['Derivative']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['DerivativeType'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Unused derivative types') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['DerivativeType'] as $orphan) { ?>
	<li><?=orphanText($orphan['DerivativeType']['name'], '/derivativetypes', $orphan['DerivativeType']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Source'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Unused sources') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Source'] as $orphan) { ?>
	<li><?=orphanText($orphan['Source']['name'], '/sources', $orphan['Source']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Tag'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Unused tags') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Tag'] as $orphan) { ?>
	<li><?=orphanText($orphan['Tag']['name'], '/tags', $orphan['Tag']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Image'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Images not used in albums or derivatives') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Image'] as $orphan) { ?>
	<li><?=orphanText($orphan['Image']['url'], '/images', $orphan['Image']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! empty($orphanage['Binding'])) {
	$atLeastOneOrphan = true;
?>
<h2><?php __('Unused bindings') ?></h2>
<ul class="orphan-list">
<?php foreach ($orphanage['Binding'] as $orphan) { ?>
	<li><?=orphanText($orphan['Binding']['name'], '/bindings', $orphan['Binding']['id'], $html)?></li>
<?php } ?>
</ul>
<?php
}

// * * * * * * * * * * * * * * * * *

if (! $atLeastOneOrphan)
	echo '<div class="info">'.__('There are no orphans in this library.', true).'</div>';


?>